program interp_2p0

! Faz interpolação polinomial sobre pontos nodais fornecidos e encontra ponto extremo
! Abordagem unidimensional

! Versão  2.0 ( Jan 2012)

!   Linguagem Fortran
!   Aplicativo usado: Microsoft Visual Studio 2005, Intel Fortran 11.1
!   Tipo de projeto: Console Application
!   Todas as variáveis são adimensionais

! ARQUIVOS envolvidos no programa:
!   variaveis.f90    = define as variáveis do programa
!   dados.f90        = lê  os dados do programa
!   calculos.f90     = calcula as soluções interpoladas
!   resultados.f90   = mostra listagem dos resultados
!   main.f90         = programa principal
!   leia_me.txt      = dados básicos sobre o programa
!
! Outros arquivos
!   Interp_2.in = dados do programa
!   "Titulo"             = saída principal do programa
!   Notepad.exe        = editor de arquivos
!--------------------------------------------------------------------------------

use dados
use calculos
use resultados

!-------------------------------------------------------------------------------

implicit none

!-------------------------------------------------------------------------------

  call le_dados

!-------------------------------------------------------------------------------

  call solucao
  
  call visualizacao

!-------------------------------------------------------------------------------

end
